WD MyBook Live — впечатления. Ставим торрент полноценный клиент с веб-интерфейсом Deluge-web

Итак, приобрел недавно данный девайс и вполне доволен покупкой! Сначала брал Zyxel NSA210 ee — впечатления от него были не самые лучшие. Причем цена у них особо и не отличается! Zyxel стоит ~4000р, а WD MyBookLive – 4500,причем в MyBook уже установлен HDD на 1TB,а в Zyxel его вообще нет.  У Zyxel есть конечно два USB порта и еще порт eSata — но нужны ли они? Конечно,это хорошо,что они имеются. А вот установленного харда в этом девайсе не было. А еще поддержка ужасная у него. В общем,подключил, установил на него торрент клиент transmission и еще несколько каких-то сторонних пакетов и сломал девайс — он перестал загружаться вообще! Не нашел в интернете нормальных инструкций о том,как восстановить этот девайс,и поэтому отнес его обратно и был доволен.И сразу же купил WD MyBookLive с двумя террабайтами памяти. Впечатления от устройства довольно-таки неплохие! Хорошая модель. О более интересных вещах,чем мой бессмысленный лепет, можно прочитать далее.Что же касается MyBookLive — тут вся операционная система хранится на самом же основном харде,который разбит на 4 раздела:

MyBookLive:/# parted -l
Model: ATA WDC WD20EURS-63S (scsi)
Disk /dev/sda: 2000GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt

Number  Start   End     Size    File system     Name     Flags
 3      15,7MB  528MB   513MB   linux-swap(v1)  primary
 1      528MB   2576MB  2048MB  ext3            primary  raid
 2      2576MB  4624MB  2048MB  ext3            primary  raid
 4      4624MB  2000GB  1996GB  ext4            primary

Разделы 1 и 2 объединены в RAID массив. Не знаю, зачем нужен раздел номер 2, но предполагаю, что это и есть CacheVolume — туда извлекается прошивка и потом оттуда уже переносится на системный раздел 1. Раздел 3 – подкачка, тут ничего особенного. И раздел 4 – непосредственно раздел для хранилища файлов. Ну и инфа о точках монтирования и прочем:

MyBookLive:/# df -h
Filesystem            Size  Used Avail Use% Mounted on
tmpfs                  50M     0   50M   0% /lib/init/rw
udev                   10M  6,6M  3,5M  66% /dev
tmpfs                  50M     0   50M   0% /dev/shm
rootfs                1,9G  1,2G  644M  65% /
tmpfs                  50M  3,7M   47M   8% /tmp
ramlog-tmpfs           20M  9,7M   11M  49% /var/log
/dev/sda4             1,9T  847G 1005G  46% /DataVolume
 

Отсюда видно, что у нас система Debian Lenny занимает на диске 2ГБ.

Теперь о главном:
Для установки всяких пакетов нам потребуется root доступ к девайсу. Для тех, кто не понял все же, что такое этот девайс — это обычный компьютер, на котором установлена только материнская плата с процессором, оперативной памятью, чип BIOS (Базовой системы ввода-вывода), которая загружает систему с жесткого диска, который также подключен к материнской плате нашего девайса.

Красивого интерфейса у этого девайса нет. Конечно, можно было на него поставить gnome или KDE, но на этом девайсе этого я делать не стал. Доступ можно получить по SSH. По умолчанию SSH выключен в настройках устройства, значит нужно его врубить! Переходим по адресу http://мой_ip_адрес_девайса/ и вводим там пароль админа, если попросит. Теперь переходим по адресу http://мой_ip_адрес_девайса/UI/ssh (регистр важен) и включаем ssh в настройках:

SSH включили. Теперь нужно присоединиться к девайсу через него.
Для этого нам нужен лишь ssh клиент Putty для Windows. Скачать его можно здесь

Вводим туда данные:
Hostname: root@ip_address_девайса
Можете также попробовать:  root@mybooklive (mybooklive — это сетевое имя девайса. Можно посмотреть,как он называется,если зайти в Мой компьютер–>Сеть)

и жмем Open.
Откроется черное окно с просьбой ввести пароль:

Теперь набираем пароль: welc0me (при наборе ничего не будет отображаться) и жмем Enter
Видим следующее:

Тут написано,что нужно быть осторожным,имея дело с рут-доступом по ssh. А ведь они правы — с этим можно наиграться так,что превратите ваше устройство в кирпич) Но это не страшно,если у вас уже кончилась гарантия СЦ,то смело можно открывать и восстанавливать прошивку на оригинальную. Ну или нести в сервисный центр,потому что при вскрытии корпуса гарантии сразу же лишимся. В общем,лучше последовать совету черного окна и быть поосторожнее.

Приступим к установке торрент клиента. Будем ставить deluge-web. Очень удобный и красивый,похож на uTorrent из Windows. Сначала нужно добавить в источники строку с указанием адреса репозитория, откуда и будем качать и устанавливать deluge-web.

 

cat "deb http://ftp.de.debian.org/debian lenny main" >> /etc/apt/sources.list
apt-get update
apt-get install deluged deluge-web
 

Отвечаем Y на все запросы. Ждем….

Установка завершена. Теперь нужно настроить. Создадим скрипт запуска и остановки сервиса. Сначала создадим файл настроек сервиса:

 

touch /etc/default/deluge-daemon
chmod 644 /etc/default/deluge-daemon
nano /etc/default/deluge-daemon
 

и вставляем (копируем и жмем в черном окне правую кнопку мыши) туда следующий код

# Configuration for /etc/init.d/deluge-daemon

# The init.d script will only run if this variable non-empty.
DELUGED_USER="root"             #пользователь, который запускает приложение

# Should we run at startup?
RUN_AT_STARTUP="YES"
 

Жмем Ctrl+O и затем Enter.

Теперь создадим еще один файл — сам скрипт запуска.

touch /etc/init.d/deluge-daemon 
chmod 755 /etc/init.d/deluge-daemon 
nano /etc/init.d/deluge-daemon
 

И туда вставляем следующий код:

#!/bin/sh
### BEGIN INIT INFO
# Provides:          deluge-daemon
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Should-Start:      $network
# Should-Stop:       $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description:       Starts the deluge daemon with the user specified in
#                    /etc/default/deluge-daemon.
### END INIT INFO

# Author: Adolfo R. Brandes 

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="Deluge Daemon"
NAME1="deluged"
NAME2="deluge"
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS="-d"             # Consult `man deluged` for more options
DAEMON2=/usr/bin/deluge-web
DAEMON2_ARGS=""               # Consult `man deluge-web` for more options
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
UMASK=022                     # Change this to 0 if running deluged as its own user
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME

# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
   log_warning_msg "Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it."
   exit 0
fi

if [ -z "$DELUGED_USER" ]
then
    log_warning_msg "Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME."
    exit 0
fi

#
# Function that starts the daemon/service
#
do_start()
{
   # Return
   #   0 if daemon has been started
   #   1 if daemon was already running
   #   2 if daemon could not be started
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --exec $DAEMON1 \
      --chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK --test > /dev/null
   RETVAL1="$?"
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --exec $DAEMON2 \
      --chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK --test > /dev/null
   RETVAL2="$?"
   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1

   start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --make-pidfile --exec $DAEMON1 \
      --chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK -- $DAEMON1_ARGS
   RETVAL1="$?"
        sleep 2
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --make-pidfile --exec $DAEMON2 \
      --chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK -- $DAEMON2_ARGS
   RETVAL2="$?"
   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
   # Return
   #   0 if daemon has been stopped
   #   1 if daemon was already stopped
   #   2 if daemon could not be stopped
   #   other if a failure occurred

   start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE2
   RETVAL2="$?"
   start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE1
   RETVAL1="$?"
   [ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2

   rm -f $PIDFILE1 $PIDFILE2

   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}

case "$1" in
  start)
   [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME1"
   do_start
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  stop)
   [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME1"
   do_stop
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  restart|force-reload)
   log_daemon_msg "Restarting $DESC" "$NAME1"
   do_stop
   case "$?" in
     0|1)
      do_start
      case "$?" in
         0) log_end_msg 0 ;;
         1) log_end_msg 1 ;; # Old process is still running
         *) log_end_msg 1 ;; # Failed to start
      esac
      ;;
     *)
        # Failed to stop
      log_end_msg 1
      ;;
   esac
   ;;
  *)
   echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
   exit 3
   ;;
esac

:
 

Сохраняем, нажав Ctrl+O  и затем Enter.

Для того,чтобы сервис автоматически запускался при включении устройства,можно выполнить такой код

update-rc.d deluge-daemon defaults
 

Для удаления из автозапуска:

update-rc.d -f deluge-daemon remove
 

И, запустим демона и веб-интерфейс:

/etc/init.d/deluge-daemon start
 

Для остановки:

/etc/init.d/deluge-daemon stop
 

Вообще, лично для себя я настроил включение и выключение сервиса по расписанию с помощью cron

Можно отредактировать ваше собственное расписание, набрав:

crontab -e

и не забыть сохранить при выходе! Вот пример моего файла с расписанием:

# m h  dom mon dow   command
# Запускаю торрент deluge в 10:00, 15:00 и в 20:00.
#и пишу данные в лог файл /var/log/deluge-daemon.cron.log
0,0,0 10,15,20 * * * /etc/init.d/deluge-daemon start && echo "Deluge daemon started at `date`">>/var/log/deluge-daemon.cron.log

#
# Останавливаю торрент в 1:00, 12:00 и в 18:00.
#и тоже пишу данные в тот же лог-файл.
#0,0 1,15 * * * /etc/init.d/transmission-daemon stop>>/var/log/cron-transmission.log && echo "Вырубаю нахуй">>/var/log/cron-transmission.log
#
0,0,0 1,13,18 * * * /etc/init.d/deluge-daemon stop && echo "Deluge daemon stopped at `date`">>/var/log/deluge-daemon.cron.log

Ссылки:

67,356 просмотров всего, 3 просмотров сегодня

Запись опубликована в рубрике Без рубрики с метками , , , , , . Добавьте в закладки постоянную ссылку. | Короткая ссылка:  http://p1rat.ru/lezzz/2JskS

18 комментариев на «WD MyBook Live — впечатления. Ставим торрент полноценный клиент с веб-интерфейсом Deluge-web»

  1. NightFlash говорит:

    Раздел №2 является зеркалом раздела №1. Сделано это для более высокой надёжности (при повреждении информации в одной из областей).

  2. P1ratRuleZZZ говорит:

    Спасибо! Я это уже понял потом, после написания этой статейки.

  3. winand говорит:

    Не получилось воспользоваться напрямую вашим способом, ибо даже репозитория такого больше нет. Однако с задачей я почти справился. Но осталась странная проблема с неправильным отображаением имён файлов в вендусе. Как бы это победить?
    http://winand.livejournal.com/606.html

  4. P1ratRuleZZZ говорит:

    попробуйте из репозитория sqeeze или backports. еще есть можно поставить версию поновее (из репозитория убунту) – вот тут http://dev.deluge-torrent.org/wiki/Installing/Linux/Debian/Lenny

    • winand говорит:

      упс. долго и упорно играл с пакетами и репозиториями. в конце концов сначала поставил python-libtorrent и squeeze, за, подключив репозиторий wheezy и http://ppa.launchpad.net/deluge-team/ppa/ubuntu precise main поставил deluged 1.3.4. Надо было конечно что-то заподозрить на этапе обновления пакетов и вопросов про конфиги SSH и Samba. В общем потом reboot, и в сети теперь никого) пора искать туториал по восстановлению, печально)

    • winand говорит:

      я правильно понимаю, что бесплатно по гарантии мне всё равно ничего не отремонтируют в СЦ?:)

    • P1ratRuleZZZ говорит:

      Отвезите попробуйте. Может отремонтируют, хотя в принципе — вина ваша. Но мало ли. Если что — руками отремонтировать по инструкции, там внутри просто хард обычный и все, так что это не “потеря потерь”. Хотя я вот тоже боюсь свой раздолбать таким образом) но нам же всем неймется всякой всячины понаставить)

    • winand говорит:

      абсолютно верно:) я потерял железку, но не энтузиазм!

  5. winand говорит:

    Всё починил, и даже поставил бэкпорт 1.3.3, вот только от http://forum.deluge-torrent.org/viewtopic.php?f=12&t=36329 меня это не спасло

  6. crash2002 говорит:

    Cупер, все работает! долго искал пароль: deluge

  7. Anonymous говорит:

    а как в вэб-интерфейс его заходить?

  8. admin говорит:

    test

Добавить комментарий

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.